Summary:	xkbevd - XKB event daemon
Summary(pl.UTF-8):	xkbevd - demon zdarzeń XKB
Name:		xorg-app-xkbevd
Version:	1.1.5
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xkbevd-%{version}.tar.xz
# Source0-md5:	05ce1abd8533a400572784b1186a44d0
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xkbevd event daemon listens for specified XKB events and executes
requested commands if they occur. The configuration file consists of a
list of event specification/action pairs and/or variable definitions.

%description -l pl.UTF-8
Demon zdarzeń xkbevd nasłuchuje na określone zdarzenia XKB i w
przypadku ich wystąpienia wywołuje żądane polecenia. Plik
konfiguracyjny składa się z par określeń zdarzeń i akcji i/lub
definicji zmiennych.

%prep
%setup -q -n xkbevd-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xkbevd
%{_mandir}/man1/xkbevd.1*
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xkbevd.git;a=log;h=master

* Wed Nov 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 6fea8b2
- updated to 1.1.5

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> aacbcc7
- updated to 1.1.4

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 0681cae
- updated to 1.1.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> bb3041c
- dropped pre-cvs changelog

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> b89c895
- updated to 1.1.2

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 77f1e60
- updated to 1.1.1

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> db52871
- updated to 1.1.0
- real descriptions (from man)

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d21a1c8
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2417656
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 687713a
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 7eeecfe
- more verbose files

* Sun Apr 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> cd6b7d0
- up to 1.0.2

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 50500d5
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 9959502
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 2af0b06
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 6c64052
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 2f4ee48
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> ff1130e
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> e5ac1ac
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> b806a16
- cleanups, kill /usr/X11R6

